Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK OCSP Java API Reference 10g Release 3 (10.1.3) B25375-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.ocsp
Class CRLReferenceExtension

`java.lang.Object
oracle.security.crypto.cert.X509Extension
oracle.security.crypto.ocsp.CRLReferenceExtension`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class CRLReferenceExtension
extends oracle.security.crypto.cert.X509Extension

Represents a CRLReferenceExtension from RFC 2560.

Field Summary

Fields inherited from class oracle.security.crypto.cert.X509Extension
`id_netscape_ce, id_netscape_ce_type, id_set_ce, id_set_ce_type, isDecoded`

Constructor Summary
`CRLReferenceExtension()` Create a new extension with the appropriate OID type.
`CRLReferenceExtension(java.math.BigInteger crlNum)` Creates a new extension.
`CRLReferenceExtension(boolean critical)` Creates a new extension.
`CRLReferenceExtension(java.util.Date crlTime)` Creates a new extension.
`CRLReferenceExtension(java.io.InputStream is)`
`CRLReferenceExtension(java.lang.String crlUrl)` Creates a new extension.

Method Summary
`java.math.BigInteger` | `getCrlNum()` Gets the crlNum parameter.
`java.util.Date` | `getCrlTime()` Gets the crlTime parameter.
`java.lang.String` | `getCrlUrl()` Gets the crlUrl parameter.
`void` | `setCrlNum(java.math.BigInteger crlNum)` Sets the crlNum parameter.
`void` | `setCrlTime(java.util.Date crlTime)` Sets the crlTime parameter.
`void` | `setCrlUrl(java.lang.String crlUrl)` Sets the crlUrl parameter.
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cert.X509Extension
`getASN1Value, getCritical, getID, getType, getValue, input, input, inputInstance, isRecognized, length, output, setCritical, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CRLReferenceExtension

    public CRLReferenceExtension()

  Create a new extension with the appropriate OID type.

  Note: An object created using this constructor may not be in a valid state. This constructor is intended primarily for use in conjunction with the `X509Extension.input(java.io.InputStream)` method.

### CRLReferenceExtension

    public CRLReferenceExtension(boolean critical)

  Creates a new extension.
Parameters:
  `critical` - `true` if this extension is critical, `false` otherwise.

### CRLReferenceExtension

    public CRLReferenceExtension(java.lang.String crlUrl)

  Creates a new extension. By default, this extension will be non-critical.
Parameters:
  `crlUrl` - The URL where the CRL can be found.

### CRLReferenceExtension

    public CRLReferenceExtension(java.math.BigInteger crlNum)

  Creates a new extension. By default, this extension will be non-critical.
Parameters:
  `crlNum` - The CRL number of the CRL.

### CRLReferenceExtension

    public CRLReferenceExtension(java.util.Date crlTime)

  Creates a new extension. By default, this extension will be non-critical.
Parameters:
  `crlTime` - The time when the CRL was issued.

### CRLReferenceExtension

    public CRLReferenceExtension(java.io.InputStream is)
                          throws java.io.IOException

Method Detail

### setCrlUrl

    public void setCrlUrl(java.lang.String crlUrl)

  Sets the crlUrl parameter.
  Parameters:
    `crlUrl` - The URL where the CRL can be found.

### getCrlUrl

    public java.lang.String getCrlUrl()

  Gets the crlUrl parameter.
  Returns:
    A String representing the crlUrl.

### setCrlNum

    public void setCrlNum(java.math.BigInteger crlNum)

  Sets the crlNum parameter.
  Parameters:
    `crlNum` - The CRL number of the CRL.

### getCrlNum

    public java.math.BigInteger getCrlNum()

  Gets the crlNum parameter.
  Returns:
    A `BigInteger` representing the crlNum.

### setCrlTime

    public void setCrlTime(java.util.Date crlTime)

  Sets the crlTime parameter.
  Parameters:
    `crlTime` - The time when the CRL was issued.

### getCrlTime

    public java.util.Date getCrlTime()

  Gets the crlTime parameter.
  Returns:
    An Date representing the crlTime.

### toString

    public java.lang.String toString()

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK OCSP Java API Reference 10g Release 3 (10.1.3) B25375-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.